diff --git a/samples/bluetooth/peripheral_uart/src/main.c b/samples/bluetooth/peripheral_uart/src/main.c
index f8d886d6b..b6f04aedc 100644
--- a/samples/bluetooth/peripheral_uart/src/main.c
+++ b/samples/bluetooth/peripheral_uart/src/main.c
@@ -237,6 +237,7 @@ static int uart_init(void)
 static void connected(struct bt_conn *conn, uint8_t err)
 {
 	char addr[BT_ADDR_LE_STR_LEN];
+	printk("Connected\n");
 
 	if (err) {
 		LOG_ERR("Connection failed (err %u)", err);
@@ -249,6 +250,19 @@ static void connected(struct bt_conn *conn, uint8_t err)
 	current_conn = bt_conn_ref(conn);
 
 	dk_set_led_on(CON_STATUS_LED);
+
+
+	printk("Start DLE...\n");
+	struct bt_conn_le_data_len_param data_len_param;
+
+	data_len_param.tx_max_len = 80; // byte
+	data_len_param.tx_max_time = 3750; // us
+
+	err = bt_conn_le_data_len_update(current_conn, &data_len_param);
+	if (err)
+	{
+		printk("LE data length update failed: %d\n", err);
+	}
 }
 
 static void disconnected(struct bt_conn *conn, uint8_t reason)
